version: "2.4"


services:
  nginx01:
    #container_name: nginx01
    image: nginx:1.18-alpine
    volumes:
      - ./conf:/etc/nginx/conf.d
    ports:
      - "8088:80"
    networks:
      - tp6_network
    depends_on:
      - php01
  php01:
    #container_name: php01
    image: php74-mysql:1.0
    volumes:
      - ./www:/srv/http
    networks:
      - tp6_network
    depends_on:
     - bdd01
  bdd01:
    #container_name: bdd01
    image: mariadb:10.5
    volumes:
      - tp6_vol:/var/lib/mysql
    networks:
      - tp6_network
    environment:
      MYSQL_ROOT_PASSWORD: roottoor

volumes:
  tp6_vol:

networks:
  tp6_network:
    name: tp6_network
    driver: bridge
